Debian Bug report logs - #593012
FTBFS: test t/pad.t fails with libyaml-syck-perl 1.12

version graph

Package: src:libdevel-ebug-perl; Maintainer for src:libdevel-ebug-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>;

Reported by: Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>

Date: Sun, 15 Aug 2010 07:06:02 UTC

Severity: serious

Tags: sid, squeeze

Found in version libdevel-ebug-perl/0.49-2

Fixed in version libdevel-ebug-perl/0.49-3

Done: Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>

Bug is archived. No further changes may be made.

Forwarded to https://rt.cpan.org/Ticket/Display.html?id=60393

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#593012; Package src:libdevel-ebug-perl. (Sun, 15 Aug 2010 07:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Sun, 15 Aug 2010 07:06:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>
To: submit@bugs.debian.org
Subject: FTBFS: test t/pad.t fails with libyaml-syck-perl 1.12
Date: Sun, 15 Aug 2010 09:03:23 +0200
[Message part 1 (text/plain, inline)]
Source: libdevel-ebug-perl
Version: 0.49-2
Justification: ftbfs
Severity: serious
Tags: squeeze sid

libdevel-ebug-perl 0.49-2 FTBFS in unstable, I assume (not yet
investigated in detail) libyaml-syck-perl 1.12. It fails with:

>    dh_auto_test -O--buildsystem=perl_build
> t/basic.t ........ ok
> t/break_point.t .. ok
> t/codelines.t .... ok
> # Looks like your test exited with 256 just after 15.
> t/ebug.t ......... ok
> t/eval.t ......... ok
> t/filenames.t .... ok
> t/finished.t ..... ok
> t/koremutake.t ... ok
> t/oo.t ........... ok
> t/output.t ....... ok
> 
> #   Failed test at t/pad.t line 86.
> #          got: '$koremutake'
> #     expected: '"$koremutake"'
> # Looks like you failed 1 test of 22.
> t/pad.t .......... 
> Dubious, test returned 1 (wstat 256, 0x100)
> Failed 1/22 subtests 
> t/pod.t .......... ok
> t/return.t ....... ok
> t/run.t .......... ok
> t/signal.t ....... ok
> t/stack.t ........ ok
> t/subroutine.t ... ok
> t/undo.t ......... ok
> t/watch_point.t .. ok
> 
> Test Summary Report
> -------------------
> t/pad.t        (Wstat: 256 Tests: 22 Failed: 1)
>   Failed test:  22
>   Non-zero exit status: 1
> Files=19, Tests=292, 80 wallclock secs ( 0.08 usr  0.03 sys +  6.33 cusr  0.57 csys =  7.01 CPU)
> Result: FAIL
> Failed 1/19 test programs. 1/292 subtests failed.
> dh_auto_test: perl Build test returned exit code 255
> make: *** [build] Error 255
> dpkg-buildpackage: error: debian/rules build gave error exit status 2
> ******************************************************************************
> Build finished at 20100815-0038
> FAILED [dpkg-buildpackage died]

Full build log is attached. Tagging affecting too squeeze as
libyaml-syck-perl will migrate to squeeze today.

The diffs of packages are:
-Setting up debhelper (7.9.3) ...
-Setting up file (5.04-4) ...
+Setting up debhelper (8.0.0) ...
+Setting up file (5.04-5) ...      
...
-Setting up libmagic1 (5.04-4) ...
+Setting up libmagic1 (5.04-5) ...
...
-Setting up libpcre3 (7.8-3) ...
+Setting up libpcre3 (8.02-1.1) ...
...
-Setting up libunistring0 (0.9.1-1) ...
+Setting up libunistring0 (0.9.3-1) ...
...
-Setting up libyaml-syck-perl (1.09-1) ...
+Setting up libyaml-syck-perl (1.12-1) ...
...

Bests
Salvatore
[salvi-libdevel-ebug-perl_0.49-2-amd64-20100815-0036 (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#593012; Package src:libdevel-ebug-perl. (Mon, 16 Aug 2010 13:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Mon, 16 Aug 2010 13:57:02 GMT) Full text and rfc822 format available.

Message #10 received at 593012@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>
To: 593012@bugs.debian.org
Subject: Re: Bug#593012: FTBFS: test t/pad.t fails with libyaml-syck-perl 1.12
Date: Mon, 16 Aug 2010 15:54:55 +0200
[Message part 1 (text/plain, inline)]
Hi 

Looking at the changes for libyaml-syck-perl it has to do with the
following:

	https://rt.cpan.org/Ticket/Display.html?id=50227

and the changes in libyaml-syck-perl:

* RT 50227 - Not quoting strings when data has been sorted numerically
  before being passed to JSON::Syck::Dump

Thus with

----(snip)--------------------------------------------------------------
--- libdevel-ebug-perl-0.49.orig/t/pad.t
+++ libdevel-ebug-perl-0.49/t/pad.t
@@ -83,5 +83,5 @@ is($pad->{'$first'}, '{...}');

 $ebug->run;
 $pad = $ebug->pad_human;
-is($pad->{'$first'}, '"$koremutake"');
+is($pad->{'$first'}, '$koremutake');
------------------------------------------------------------------------

package builds. 

Bests
Salvatore
[signature.asc (application/pgp-signature, inline)]

Set Bug forwarded-to-address to 'https://rt.cpan.org/Ticket/Display.html?id=60393'. Request was from Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com> to control@bugs.debian.org. (Mon, 16 Aug 2010 14:57:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#593012; Package src:libdevel-ebug-perl. (Mon, 16 Aug 2010 18:39:10 GMT) Full text and rfc822 format available.

Message #15 received at 593012@bugs.debian.org (full text, mbox):

From: pkg-perl-maintainers@lists.alioth.debian.org
To: 593012@bugs.debian.org, 593012-submitter@bugs.debian.org
Subject: Bug in libdevel-ebug-perl fixed in revision 61669
Date: Mon, 16 Aug 2010 18:23:36 +0000
tag 593012 + pending
thanks

Some bugs are closed in revision 61669
by Salvatore Bonaccorso (carnil-guest)

Commit message:

* Add myself to Uploaders.
* Add fix_593012_ftbfs_yaml_syck_1_12.patch patch to fix FTBFS with
  libyaml-syck-perl 1.12 (Closes: #593012). 




Added tag(s) pending. Request was from pkg-perl-maintainers@lists.alioth.debian.org to control@bugs.debian.org. (Mon, 16 Aug 2010 18:39:53 GMT) Full text and rfc822 format available.

Message sent on to Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>:
Bug#593012. (Mon, 16 Aug 2010 18:39:58 GMT) Full text and rfc822 format available.

Reply sent to Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>:
You have taken responsibility. (Tue, 17 Aug 2010 14:51:16 GMT) Full text and rfc822 format available.

Notification sent to Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>:
Bug acknowledged by developer. (Tue, 17 Aug 2010 14:51:16 GMT) Full text and rfc822 format available.

Message #25 received at 593012-close@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>
To: 593012-close@bugs.debian.org
Subject: Bug#593012: fixed in libdevel-ebug-perl 0.49-3
Date: Tue, 17 Aug 2010 14:47:49 +0000
Source: libdevel-ebug-perl
Source-Version: 0.49-3

We believe that the bug you reported is fixed in the latest version of
libdevel-ebug-perl, which is due to be installed in the Debian FTP archive:

libdevel-ebug-perl_0.49-3.debian.tar.gz
  to main/libd/libdevel-ebug-perl/libdevel-ebug-perl_0.49-3.debian.tar.gz
libdevel-ebug-perl_0.49-3.dsc
  to main/libd/libdevel-ebug-perl/libdevel-ebug-perl_0.49-3.dsc
libdevel-ebug-perl_0.49-3_all.deb
  to main/libd/libdevel-ebug-perl/libdevel-ebug-perl_0.49-3_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 593012@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com> (supplier of updated libdevel-ebug-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 17 Aug 2010 15:53:46 +0200
Source: libdevel-ebug-perl
Binary: libdevel-ebug-perl
Architecture: source all
Version: 0.49-3
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>
Description: 
 libdevel-ebug-perl - simple, extensible Perl debugger
Closes: 593012
Changes: 
 libdevel-ebug-perl (0.49-3) unstable; urgency=low
 .
   * Add myself to Uploaders.
   * Add fix_593012_ftbfs_yaml_syck_1_12.patch patch to fix FTBFS with
     libyaml-syck-perl 1.12 (Closes: #593012).
   * Refresh debian/copyright: Explicitly refer to GPL-1 license text in
     common-licenses as by Debian Policy 3.9.1.
   * debian/control:
     - Drop alternate Build-Depends on perl (>= 5.10) | libmodule-build-perl
       as stable has already the required versions and oldstable is gone.
     - Remove Build-Depends-Indep on perl and add perl to Build-Depends for
       Module::Build.
   * Bump Standards-Version to 3.9.1.
Checksums-Sha1: 
 f435a5ab0087c75e215739eca83f396fdc33fd35 2392 libdevel-ebug-perl_0.49-3.dsc
 d8ee81362f3036426b83fdfec9cd53f8f2a1edb3 4658 libdevel-ebug-perl_0.49-3.debian.tar.gz
 935ad786f3e86b999e77f52562a1dc7a819ee1aa 38824 libdevel-ebug-perl_0.49-3_all.deb
Checksums-Sha256: 
 e3d4dda5ddb438615cdd3f04d8b84b478d70722c117516ed5f37a1c3d52ec64a 2392 libdevel-ebug-perl_0.49-3.dsc
 c0ede3a95461ffa40209493fb8479bbe7dbcb15151808dcafbfd40cc4262b8ee 4658 libdevel-ebug-perl_0.49-3.debian.tar.gz
 772e9069194126fed216377a5b5e2356215b5f32dba794ac194c01d2c15eebbe 38824 libdevel-ebug-perl_0.49-3_all.deb
Files: 
 e8300daf04ccc1267e26fabc7f2323b3 2392 perl optional libdevel-ebug-perl_0.49-3.dsc
 c8dbeb99b717ff2939b5d06cb005315b 4658 perl optional libdevel-ebug-perl_0.49-3.debian.tar.gz
 7ee9843656f833e2894abca67eb5c559 38824 perl optional libdevel-ebug-perl_0.49-3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJMapU2AAoJELs6aAGGSaoGZ74P/1aoDyXFJJ4TmSmPusxdqei/
xUDy/LUIIUZ/GKGnN+AunEHOv2vzsJCI9f4vh2Mtd77cyD2YGSMtg6Wvsy85m754
IXi5TQ60fQLi+xauZpOW8Yi7l557J8XSpag9uqh5mKIqdyaDFLCHhXt+/zJK3/zH
B6CRylQGaaunNJohirHhoArB23ZhUKBaVW2Zlax12NfcQIK+5o6i5N356NGlRXw0
6qZxB8BAdUFUIWWCuoKmZdmmV4wInNuMDVVbJAk3uU+WIxfa7CxKAMNjD5BJY7Ox
B+A5SwOKUmeXFX26vbsDrizpe2RYzA7GE7M/kP498wIIa6dtp647oEYpiaCKuICE
8ZPeooUqS0y56GbvijKlJpMkSGTbz3jgrLeK8+dBv976RcTnVLH7Fg/5EwsIgdeh
GBVxmIlJDzaFfjpsHqpdyHgEmJR98mp3mxjYNwn6mKdOIMs9CZbiKUDS5maKjXZ4
ntINbdbig9lqreBpAxCGNeL76K2uxgM2LDhucCGwanF22AttNcM8jRNZmIQmalKA
sVFZGq+uEFL80wiPHcJLpeZkSKljNoRuHBQ/LzlnuvAhQmieytCx8tgmM8DYXsTF
I9PPaE8c8Lmfqww90qtCh18fOPb3fNm2reOSpc9ZfkdulZGw3U7hcdfSOlbwUmfP
vKrSqKQUwJSuUAuMF6u0
=JwFu
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 15 Sep 2010 07:31:00 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 21:27:06 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.